| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::IOException Class Reference
Core » General

`#include <OgreException.h>`

Inheritance diagram for Ogre::IOException:
[legend]

## Public Types
enum | ExceptionCodes { ERR_CANNOT_WRITE_TO_FILE, ERR_INVALID_STATE, ERR_INVALIDPARAMS, ERR_RENDERINGAPI_ERROR, ERR_DUPLICATE_ITEM, ERR_ITEM_NOT_FOUND, ERR_FILE_NOT_FOUND, ERR_INTERNAL_ERROR, ERR_RT_ASSERTION_FAILED, ERR_NOT_IMPLEMENTED, ERR_INVALID_CALL }
| Static definitions of error codes. More...

## Public Member Functions
| IOException (int inNumber, const String &inDescription, const String &inSource, const char *inFile, long inLine)
virtual const String & | getDescription (void) const
| Returns a string with only the 'description' field of this exception. More...
virtual const String & | getFile () const
| Gets source file name. More...
virtual const String & | getFullDescription (void) const
| Returns a string with the full description of this error. More...
virtual long | getLine () const
| Gets line number. More...
virtual int | getNumber (void) const throw ()
| Gets the error code. More...
virtual const String & | getSource () const
| Gets the source function. More...
const char * | what () const throw ()
| Override std::exception::what. More...

## Member Enumeration Documentation

## ◆ ExceptionCodes

enum Ogre::Exception::ExceptionCodes
| inherited

Static definitions of error codes.

Enumerator
ERR_CANNOT_WRITE_TO_FILE |
ERR_INVALID_STATE |
ERR_INVALIDPARAMS |
ERR_RENDERINGAPI_ERROR |
ERR_DUPLICATE_ITEM |
ERR_ITEM_NOT_FOUND |
ERR_FILE_NOT_FOUND |
ERR_INTERNAL_ERROR |
ERR_RT_ASSERTION_FAILED |
ERR_NOT_IMPLEMENTED |
ERR_INVALID_CALL |

## Constructor & Destructor Documentation

## ◆ IOException()

Ogre::IOException::IOException | ( | int | inNumber,
|  | const String & | inDescription,
|  | const String & | inSource,
|  | const char * | inFile,
|  | long | inLine
| ) |  |
| inline

## Member Function Documentation

## ◆ getFullDescription()

virtual const String& Ogre::Exception::getFullDescription | ( | void |  | ) | const
| virtual inherited

Returns a string with the full description of this error.

Remarks
  The description contains the error number, the description supplied by the thrower, what routine threw the exception, and will also supply extra platform-specific information where applicable. For example - in the case of a rendering library error, the description of the error will include both the place in which OGRE found the problem, and a text description from the 3D rendering library, if available.

Reimplemented in Ogre::D3D11RenderingAPIException.

Referenced by Ogre::D3D11RenderingAPIException::getFullDescription().

## ◆ getNumber()

virtual int Ogre::Exception::getNumber | ( | void |  | ) | const
throw | ( |
| ) |  |
| virtual inherited

Gets the error code.

Deprecated:
  catch by exception type instead

## ◆ getSource()

virtual const String& Ogre::Exception::getSource | ( |  | ) | const
| inline virtual inherited

Gets the source function.

## ◆ getFile()

virtual const String& Ogre::Exception::getFile | ( |  | ) | const
| inline virtual inherited

Gets source file name.

## ◆ getLine()

virtual long Ogre::Exception::getLine | ( |  | ) | const
| inline virtual inherited

Gets line number.

## ◆ getDescription()

virtual const String& Ogre::Exception::getDescription | ( | void |  | ) | const
| inline virtual inherited

Returns a string with only the 'description' field of this exception.

Use getFullDescriptionto get a full description of the error including line number, error number and what function threw the exception.

## ◆ what()

const char* Ogre::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |
| inline inherited

Override std::exception::what.

The documentation for this class was generated from the following file:

- OgreException.h